QuantLib: RelativeDateBootstrapHelper< TS > Class Template Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
RelativeDateBootstrapHelper< TS > Class Template Referenceabstract

Bootstrap helper with date schedule relative to global evaluation date. More...

`#include <ql/termstructures/bootstraphelper.hpp>`

Inheritance diagram for RelativeDateBootstrapHelper< TS >:
[legend]

## Public Member Functions
| RelativeDateBootstrapHelper (const Handle< Quote > &quote)
| RelativeDateBootstrapHelper (Real quote)
Observer interface
void | update ()
Public Member Functions inherited from BootstrapHelper< TS >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
virtual Real | impliedQuote () const =0
Real | quoteError () const
virtual void | setTermStructure (TS *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | maturityDate () const
| instrument's maturity date
virtual Date | latestRelevantDate () const
| latest relevant date More...
virtual Date | pillarDate () const
| pillar date
virtual Date | latestDate () const
| latest date More...
virtual void | accept (AcyclicVisitor &)
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions
virtual void | initializeDates ()=0

## Protected Attributes
Date | evaluationDate_
Protected Attributes inherited from BootstrapHelper< TS >
Handle< Quote > | quote_
TS * | termStructure_
Date | earliestDate_
Date | latestDate_
Date | maturityDate_
Date | latestRelevantDate_
Date | pillarDate_

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

### template<class TS>
class QuantLib::RelativeDateBootstrapHelper< TS >

Bootstrap helper with date schedule relative to global evaluation date.

Derived classes must takes care of rebuilding the date schedule when the global evaluation date changes

## Member Function Documentation

## ◆ update()

void update | ( |  | ) |
| virtual

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from BootstrapHelper< TS >.

Reimplemented in CdsHelper.